> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agg.market/llms.txt
> Use this file to discover all available pages before exploring further.

# Recompile a fingerprint to ImportedTheme + warnings

> Pure compute. Used by the studio after a user edits a fingerprint field, to refresh warnings/fixes/fit without re-extracting.



## OpenAPI

````yaml /openapi/openapi.json post /theme-importer/compile
openapi: 3.0.2
info:
  title: AGG API
  version: 1.0.0
  description: >-
    Prediction market aggregator REST API — authentication, users, venue events,
    venue markets, orderbooks, charts, and execution workflows.
servers:
  - url: https://api.agg.market
    description: Production
  - url: https://api.staging.agg.market
    description: Staging
security: []
paths:
  /theme-importer/compile:
    post:
      tags:
        - App Management
      summary: Recompile a fingerprint to ImportedTheme + warnings
      description: >-
        Pure compute. Used by the studio after a user edits a fingerprint field,
        to refresh warnings/fixes/fit without re-extracting.
      operationId: compile
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - fingerprint
                - sourceUrl
              properties:
                fingerprint:
                  type: object
                  required:
                    - brand
                    - colors
                    - typography
                    - shape
                    - elevation
                    - frameworks
                  properties:
                    brand:
                      type: object
                      properties:
                        name:
                          type: string
                        logoUrl:
                          type: string
                        faviconUrl:
                          type: string
                        themeColor:
                          type: string
                    colors:
                      type: object
                      required:
                        - light
                        - dark
                      properties:
                        light:
                          type: object
                          required:
                            - primary
                            - primaryHover
                            - secondary
                            - secondaryHover
                            - border
                            - foreground
                            - mutedForeground
                            - onPrimary
                            - success
                            - warning
                            - error
                            - overlay
                          properties:
                            primary:
                              type: object
                              required:
                                - value
                                - confidence
                                - source
                                - trace
                                - alternates
                              properties:
                                value:
                                  anyOf:
                                    - type: string
                                    - type: number
                                confidence:
                                  type: number
                                source:
                                  type: string
                                trace:
                                  type: object
                                  properties:
                                    selector:
                                      type: string
                                    declaration:
                                      type: string
                                    rationale:
                                      type: string
                                alternates:
                                  type: array
                                  items:
                                    type: object
                                    required:
                                      - value
                                      - source
                                      - confidence
                                    properties:
                                      value:
                                        anyOf:
                                          - type: string
                                          - type: number
                                      source:
                                        type: string
                                      confidence:
                                        type: number
                            primaryHover:
                              type: object
                              required:
                                - value
                                - confidence
                                - source
                                - trace
                                - alternates
                              properties:
                                value:
                                  anyOf:
                                    - type: string
                                    - type: number
                                confidence:
                                  type: number
                                source:
                                  type: string
                                trace:
                                  type: object
                                  properties:
                                    selector:
                                      type: string
                                    declaration:
                                      type: string
                                    rationale:
                                      type: string
                                alternates:
                                  type: array
                                  items:
                                    type: object
                                    required:
                                      - value
                                      - source
                                      - confidence
                                    properties:
                                      value:
                                        anyOf:
                                          - type: string
                                          - type: number
                                      source:
                                        type: string
                                      confidence:
                                        type: number
                            secondary:
                              type: object
                              required:
                                - value
                                - confidence
                                - source
                                - trace
                                - alternates
                              properties:
                                value:
                                  anyOf:
                                    - type: string
                                    - type: number
                                confidence:
                                  type: number
                                source:
                                  type: string
                                trace:
                                  type: object
                                  properties:
                                    selector:
                                      type: string
                                    declaration:
                                      type: string
                                    rationale:
                                      type: string
                                alternates:
                                  type: array
                                  items:
                                    type: object
                                    required:
                                      - value
                                      - source
                                      - confidence
                                    properties:
                                      value:
                                        anyOf:
                                          - type: string
                                          - type: number
                                      source:
                                        type: string
                                      confidence:
                                        type: number
                            secondaryHover:
                              type: object
                              required:
                                - value
                                - confidence
                                - source
                                - trace
                                - alternates
                              properties:
                                value:
                                  anyOf:
                                    - type: string
                                    - type: number
                                confidence:
                                  type: number
                                source:
                                  type: string
                                trace:
                                  type: object
                                  properties:
                                    selector:
                                      type: string
                                    declaration:
                                      type: string
                                    rationale:
                                      type: string
                                alternates:
                                  type: array
                                  items:
                                    type: object
                                    required:
                                      - value
                                      - source
                                      - confidence
                                    properties:
                                      value:
                                        anyOf:
                                          - type: string
                                          - type: number
                                      source:
                                        type: string
                                      confidence:
                                        type: number
                            border:
                              type: object
                              required:
                                - value
                                - confidence
                                - source
                                - trace
                                - alternates
                              properties:
                                value:
                                  anyOf:
                                    - type: string
                                    - type: number
                                confidence:
                                  type: number
                                source:
                                  type: string
                                trace:
                                  type: object
                                  properties:
                                    selector:
                                      type: string
                                    declaration:
                                      type: string
                                    rationale:
                                      type: string
                                alternates:
                                  type: array
                                  items:
                                    type: object
                                    required:
                                      - value
                                      - source
                                      - confidence
                                    properties:
                                      value:
                                        anyOf:
                                          - type: string
                                          - type: number
                                      source:
                                        type: string
                                      confidence:
                                        type: number
                            foreground:
                              type: object
                              required:
                                - value
                                - confidence
                                - source
                                - trace
                                - alternates
                              properties:
                                value:
                                  anyOf:
                                    - type: string
                                    - type: number
                                confidence:
                                  type: number
                                source:
                                  type: string
                                trace:
                                  type: object
                                  properties:
                                    selector:
                                      type: string
                                    declaration:
                                      type: string
                                    rationale:
                                      type: string
                                alternates:
                                  type: array
                                  items:
                                    type: object
                                    required:
                                      - value
                                      - source
                                      - confidence
                                    properties:
                                      value:
                                        anyOf:
                                          - type: string
                                          - type: number
                                      source:
                                        type: string
                                      confidence:
                                        type: number
                            mutedForeground:
                              type: object
                              required:
                                - value
                                - confidence
                                - source
                                - trace
                                - alternates
                              properties:
                                value:
                                  anyOf:
                                    - type: string
                                    - type: number
                                confidence:
                                  type: number
                                source:
                                  type: string
                                trace:
                                  type: object
                                  properties:
                                    selector:
                                      type: string
                                    declaration:
                                      type: string
                                    rationale:
                                      type: string
                                alternates:
                                  type: array
                                  items:
                                    type: object
                                    required:
                                      - value
                                      - source
                                      - confidence
                                    properties:
                                      value:
                                        anyOf:
                                          - type: string
                                          - type: number
                                      source:
                                        type: string
                                      confidence:
                                        type: number
                            onPrimary:
                              type: object
                              required:
                                - value
                                - confidence
                                - source
                                - trace
                                - alternates
                              properties:
                                value:
                                  anyOf:
                                    - type: string
                                    - type: number
                                confidence:
                                  type: number
                                source:
                                  type: string
                                trace:
                                  type: object
                                  properties:
                                    selector:
                                      type: string
                                    declaration:
                                      type: string
                                    rationale:
                                      type: string
                                alternates:
                                  type: array
                                  items:
                                    type: object
                                    required:
                                      - value
                                      - source
                                      - confidence
                                    properties:
                                      value:
                                        anyOf:
                                          - type: string
                                          - type: number
                                      source:
                                        type: string
                                      confidence:
                                        type: number
                            success:
                              type: object
                              required:
                                - value
                                - confidence
                                - source
                                - trace
                                - alternates
                              properties:
                                value:
                                  anyOf:
                                    - type: string
                                    - type: number
                                confidence:
                                  type: number
                                source:
                                  type: string
                                trace:
                                  type: object
                                  properties:
                                    selector:
                                      type: string
                                    declaration:
                                      type: string
                                    rationale:
                                      type: string
                                alternates:
                                  type: array
                                  items:
                                    type: object
                                    required:
                                      - value
                                      - source
                                      - confidence
                                    properties:
                                      value:
                                        anyOf:
                                          - type: string
                                          - type: number
                                      source:
                                        type: string
                                      confidence:
                                        type: number
                            warning:
                              type: object
                              required:
                                - value
                                - confidence
                                - source
                                - trace
                                - alternates
                              properties:
                                value:
                                  anyOf:
                                    - type: string
                                    - type: number
                                confidence:
                                  type: number
                                source:
                                  type: string
                                trace:
                                  type: object
                                  properties:
                                    selector:
                                      type: string
                                    declaration:
                                      type: string
                                    rationale:
                                      type: string
                                alternates:
                                  type: array
                                  items:
                                    type: object
                                    required:
                                      - value
                                      - source
                                      - confidence
                                    properties:
                                      value:
                                        anyOf:
                                          - type: string
                                          - type: number
                                      source:
                                        type: string
                                      confidence:
                                        type: number
                            error:
                              type: object
                              required:
                                - value
                                - confidence
                                - source
                                - trace
                                - alternates
                              properties:
                                value:
                                  anyOf:
                                    - type: string
                                    - type: number
                                confidence:
                                  type: number
                                source:
                                  type: string
                                trace:
                                  type: object
                                  properties:
                                    selector:
                                      type: string
                                    declaration:
                                      type: string
                                    rationale:
                                      type: string
                                alternates:
                                  type: array
                                  items:
                                    type: object
                                    required:
                                      - value
                                      - source
                                      - confidence
                                    properties:
                                      value:
                                        anyOf:
                                          - type: string
                                          - type: number
                                      source:
                                        type: string
                                      confidence:
                                        type: number
                            overlay:
                              type: object
                              required:
                                - value
                                - confidence
                                - source
                                - trace
                                - alternates
                              properties:
                                value:
                                  anyOf:
                                    - type: string
                                    - type: number
                                confidence:
                                  type: number
                                source:
                                  type: string
                                trace:
                                  type: object
                                  properties:
                                    selector:
                                      type: string
                                    declaration:
                                      type: string
                                    rationale:
                                      type: string
                                alternates:
                                  type: array
                                  items:
                                    type: object
                                    required:
                                      - value
                                      - source
                                      - confidence
                                    properties:
                                      value:
                                        anyOf:
                                          - type: string
                                          - type: number
                                      source:
                                        type: string
                                      confidence:
                                        type: number
                        dark:
                          type: object
                          required:
                            - primary
                            - primaryHover
                            - secondary
                            - secondaryHover
                            - border
                            - foreground
                            - mutedForeground
                            - onPrimary
                            - success
                            - warning
                            - error
                            - overlay
                          properties:
                            primary:
                              type: object
                              required:
                                - value
                                - confidence
                                - source
                                - trace
                                - alternates
                              properties:
                                value:
                                  anyOf:
                                    - type: string
                                    - type: number
                                confidence:
                                  type: number
                                source:
                                  type: string
                                trace:
                                  type: object
                                  properties:
                                    selector:
                                      type: string
                                    declaration:
                                      type: string
                                    rationale:
                                      type: string
                                alternates:
                                  type: array
                                  items:
                                    type: object
                                    required:
                                      - value
                                      - source
                                      - confidence
                                    properties:
                                      value:
                                        anyOf:
                                          - type: string
                                          - type: number
                                      source:
                                        type: string
                                      confidence:
                                        type: number
                            primaryHover:
                              type: object
                              required:
                                - value
                                - confidence
                                - source
                                - trace
                                - alternates
                              properties:
                                value:
                                  anyOf:
                                    - type: string
                                    - type: number
                                confidence:
                                  type: number
                                source:
                                  type: string
                                trace:
                                  type: object
                                  properties:
                                    selector:
                                      type: string
                                    declaration:
                                      type: string
                                    rationale:
                                      type: string
                                alternates:
                                  type: array
                                  items:
                                    type: object
                                    required:
                                      - value
                                      - source
                                      - confidence
                                    properties:
                                      value:
                                        anyOf:
                                          - type: string
                                          - type: number
                                      source:
                                        type: string
                                      confidence:
                                        type: number
                            secondary:
                              type: object
                              required:
                                - value
                                - confidence
                                - source
                                - trace
                                - alternates
                              properties:
                                value:
                                  anyOf:
                                    - type: string
                                    - type: number
                                confidence:
                                  type: number
                                source:
                                  type: string
                                trace:
                                  type: object
                                  properties:
                                    selector:
                                      type: string
                                    declaration:
                                      type: string
                                    rationale:
                                      type: string
                                alternates:
                                  type: array
                                  items:
                                    type: object
                                    required:
                                      - value
                                      - source
                                      - confidence
                                    properties:
                                      value:
                                        anyOf:
                                          - type: string
                                          - type: number
                                      source:
                                        type: string
                                      confidence:
                                        type: number
                            secondaryHover:
                              type: object
                              required:
                                - value
                                - confidence
                                - source
                                - trace
                                - alternates
                              properties:
                                value:
                                  anyOf:
                                    - type: string
                                    - type: number
                                confidence:
                                  type: number
                                source:
                                  type: string
                                trace:
                                  type: object
                                  properties:
                                    selector:
                                      type: string
                                    declaration:
                                      type: string
                                    rationale:
                                      type: string
                                alternates:
                                  type: array
                                  items:
                                    type: object
                                    required:
                                      - value
                                      - source
                                      - confidence
                                    properties:
                                      value:
                                        anyOf:
                                          - type: string
                                          - type: number
                                      source:
                                        type: string
                                      confidence:
                                        type: number
                            border:
                              type: object
                              required:
                                - value
                                - confidence
                                - source
                                - trace
                                - alternates
                              properties:
                                value:
                                  anyOf:
                                    - type: string
                                    - type: number
                                confidence:
                                  type: number
                                source:
                                  type: string
                                trace:
                                  type: object
                                  properties:
                                    selector:
                                      type: string
                                    declaration:
                                      type: string
                                    rationale:
                                      type: string
                                alternates:
                                  type: array
                                  items:
                                    type: object
                                    required:
                                      - value
                                      - source
                                      - confidence
                                    properties:
                                      value:
                                        anyOf:
                                          - type: string
                                          - type: number
                                      source:
                                        type: string
                                      confidence:
                                        type: number
                            foreground:
                              type: object
                              required:
                                - value
                                - confidence
                                - source
                                - trace
                                - alternates
                              properties:
                                value:
                                  anyOf:
                                    - type: string
                                    - type: number
                                confidence:
                                  type: number
                                source:
                                  type: string
                                trace:
                                  type: object
                                  properties:
                                    selector:
                                      type: string
                                    declaration:
                                      type: string
                                    rationale:
                                      type: string
                                alternates:
                                  type: array
                                  items:
                                    type: object
                                    required:
                                      - value
                                      - source
                                      - confidence
                                    properties:
                                      value:
                                        anyOf:
                                          - type: string
                                          - type: number
                                      source:
                                        type: string
                                      confidence:
                                        type: number
                            mutedForeground:
                              type: object
                              required:
                                - value
                                - confidence
                                - source
                                - trace
                                - alternates
                              properties:
                                value:
                                  anyOf:
                                    - type: string
                                    - type: number
                                confidence:
                                  type: number
                                source:
                                  type: string
                                trace:
                                  type: object
                                  properties:
                                    selector:
                                      type: string
                                    declaration:
                                      type: string
                                    rationale:
                                      type: string
                                alternates:
                                  type: array
                                  items:
                                    type: object
                                    required:
                                      - value
                                      - source
                                      - confidence
                                    properties:
                                      value:
                                        anyOf:
                                          - type: string
                                          - type: number
                                      source:
                                        type: string
                                      confidence:
                                        type: number
                            onPrimary:
                              type: object
                              required:
                                - value
                                - confidence
                                - source
                                - trace
                                - alternates
                              properties:
                                value:
                                  anyOf:
                                    - type: string
                                    - type: number
                                confidence:
                                  type: number
                                source:
                                  type: string
                                trace:
                                  type: object
                                  properties:
                                    selector:
                                      type: string
                                    declaration:
                                      type: string
                                    rationale:
                                      type: string
                                alternates:
                                  type: array
                                  items:
                                    type: object
                                    required:
                                      - value
                                      - source
                                      - confidence
                                    properties:
                                      value:
                                        anyOf:
                                          - type: string
                                          - type: number
                                      source:
                                        type: string
                                      confidence:
                                        type: number
                            success:
                              type: object
                              required:
                                - value
                                - confidence
                                - source
                                - trace
                                - alternates
                              properties:
                                value:
                                  anyOf:
                                    - type: string
                                    - type: number
                                confidence:
                                  type: number
                                source:
                                  type: string
                                trace:
                                  type: object
                                  properties:
                                    selector:
                                      type: string
                                    declaration:
                                      type: string
                                    rationale:
                                      type: string
                                alternates:
                                  type: array
                                  items:
                                    type: object
                                    required:
                                      - value
                                      - source
                                      - confidence
                                    properties:
                                      value:
                                        anyOf:
                                          - type: string
                                          - type: number
                                      source:
                                        type: string
                                      confidence:
                                        type: number
                            warning:
                              type: object
                              required:
                                - value
                                - confidence
                                - source
                                - trace
                                - alternates
                              properties:
                                value:
                                  anyOf:
                                    - type: string
                                    - type: number
                                confidence:
                                  type: number
                                source:
                                  type: string
                                trace:
                                  type: object
                                  properties:
                                    selector:
                                      type: string
                                    declaration:
                                      type: string
                                    rationale:
                                      type: string
                                alternates:
                                  type: array
                                  items:
                                    type: object
                                    required:
                                      - value
                                      - source
                                      - confidence
                                    properties:
                                      value:
                                        anyOf:
                                          - type: string
                                          - type: number
                                      source:
                                        type: string
                                      confidence:
                                        type: number
                            error:
                              type: object
                              required:
                                - value
                                - confidence
                                - source
                                - trace
                                - alternates
                              properties:
                                value:
                                  anyOf:
                                    - type: string
                                    - type: number
                                confidence:
                                  type: number
                                source:
                                  type: string
                                trace:
                                  type: object
                                  properties:
                                    selector:
                                      type: string
                                    declaration:
                                      type: string
                                    rationale:
                                      type: string
                                alternates:
                                  type: array
                                  items:
                                    type: object
                                    required:
                                      - value
                                      - source
                                      - confidence
                                    properties:
                                      value:
                                        anyOf:
                                          - type: string
                                          - type: number
                                      source:
                                        type: string
                                      confidence:
                                        type: number
                            overlay:
                              type: object
                              required:
                                - value
                                - confidence
                                - source
                                - trace
                                - alternates
                              properties:
                                value:
                                  anyOf:
                                    - type: string
                                    - type: number
                                confidence:
                                  type: number
                                source:
                                  type: string
                                trace:
                                  type: object
                                  properties:
                                    selector:
                                      type: string
                                    declaration:
                                      type: string
                                    rationale:
                                      type: string
                                alternates:
                                  type: array
                                  items:
                                    type: object
                                    required:
                                      - value
                                      - source
                                      - confidence
                                    properties:
                                      value:
                                        anyOf:
                                          - type: string
                                          - type: number
                                      source:
                                        type: string
                                      confidence:
                                        type: number
                    typography:
                      type: object
                      required:
                        - fontFamily
                        - bodyWeight
                        - headingWeight
                        - fontScale
                      properties:
                        fontFamily:
                          type: object
                          required:
                            - value
                            - confidence
                            - source
                            - trace
                            - alternates
                          properties:
                            value:
                              anyOf:
                                - type: string
                                - type: number
                            confidence:
                              type: number
                            source:
                              type: string
                            trace:
                              type: object
                              properties:
                                selector:
                                  type: string
                                declaration:
                                  type: string
                                rationale:
                                  type: string
                            alternates:
                              type: array
                              items:
                                type: object
                                required:
                                  - value
                                  - source
                                  - confidence
                                properties:
                                  value:
                                    anyOf:
                                      - type: string
                                      - type: number
                                  source:
                                    type: string
                                  confidence:
                                    type: number
                        bodyWeight:
                          type: object
                          required:
                            - value
                            - confidence
                            - source
                            - trace
                            - alternates
                          properties:
                            value:
                              anyOf:
                                - type: string
                                - type: number
                            confidence:
                              type: number
                            source:
                              type: string
                            trace:
                              type: object
                              properties:
                                selector:
                                  type: string
                                declaration:
                                  type: string
                                rationale:
                                  type: string
                            alternates:
                              type: array
                              items:
                                type: object
                                required:
                                  - value
                                  - source
                                  - confidence
                                properties:
                                  value:
                                    anyOf:
                                      - type: string
                                      - type: number
                                  source:
                                    type: string
                                  confidence:
                                    type: number
                        headingWeight:
                          type: object
                          required:
                            - value
                            - confidence
                            - source
                            - trace
                            - alternates
                          properties:
                            value:
                              anyOf:
                                - type: string
                                - type: number
                            confidence:
                              type: number
                            source:
                              type: string
                            trace:
                              type: object
                              properties:
                                selector:
                                  type: string
                                declaration:
                                  type: string
                                rationale:
                                  type: string
                            alternates:
                              type: array
                              items:
                                type: object
                                required:
                                  - value
                                  - source
                                  - confidence
                                properties:
                                  value:
                                    anyOf:
                                      - type: string
                                      - type: number
                                  source:
                                    type: string
                                  confidence:
                                    type: number
                        fontScale:
                          type: object
                          required:
                            - value
                            - confidence
                            - source
                            - trace
                            - alternates
                          properties:
                            value:
                              anyOf:
                                - type: string
                                - type: number
                            confidence:
                              type: number
                            source:
                              type: string
                            trace:
                              type: object
                              properties:
                                selector:
                                  type: string
                                declaration:
                                  type: string
                                rationale:
                                  type: string
                            alternates:
                              type: array
                              items:
                                type: object
                                required:
                                  - value
                                  - source
                                  - confidence
                                properties:
                                  value:
                                    anyOf:
                                      - type: string
                                      - type: number
                                  source:
                                    type: string
                                  confidence:
                                    type: number
                    shape:
                      type: object
                      required:
                        - radiusScale
                      properties:
                        radiusScale:
                          type: object
                          required:
                            - value
                            - confidence
                            - source
                            - trace
                            - alternates
                          properties:
                            value:
                              anyOf:
                                - type: string
                                - type: number
                            confidence:
                              type: number
                            source:
                              type: string
                            trace:
                              type: object
                              properties:
                                selector:
                                  type: string
                                declaration:
                                  type: string
                                rationale:
                                  type: string
                            alternates:
                              type: array
                              items:
                                type: object
                                required:
                                  - value
                                  - source
                                  - confidence
                                properties:
                                  value:
                                    anyOf:
                                      - type: string
                                      - type: number
                                  source:
                                    type: string
                                  confidence:
                                    type: number
                    elevation:
                      type: object
                      required:
                        - cardShadow
                        - popoverShadow
                      properties:
                        cardShadow:
                          type: object
                          required:
                            - value
                            - confidence
                            - source
                            - trace
                            - alternates
                          properties:
                            value:
                              anyOf:
                                - type: string
                                - type: number
                            confidence:
                              type: number
                            source:
                              type: string
                            trace:
                              type: object
                              properties:
                                selector:
                                  type: string
                                declaration:
                                  type: string
                                rationale:
                                  type: string
                            alternates:
                              type: array
                              items:
                                type: object
                                required:
                                  - value
                                  - source
                                  - confidence
                                properties:
                                  value:
                                    anyOf:
                                      - type: string
                                      - type: number
                                  source:
                                    type: string
                                  confidence:
                                    type: number
                        popoverShadow:
                          type: object
                          required:
                            - value
                            - confidence
                            - source
                            - trace
                            - alternates
                          properties:
                            value:
                              anyOf:
                                - type: string
                                - type: number
                            confidence:
                              type: number
                            source:
                              type: string
                            trace:
                              type: object
                              properties:
                                selector:
                                  type: string
                                declaration:
                                  type: string
                                rationale:
                                  type: string
                            alternates:
                              type: array
                              items:
                                type: object
                                required:
                                  - value
                                  - source
                                  - confidence
                                properties:
                                  value:
                                    anyOf:
                                      - type: string
                                      - type: number
                                  source:
                                    type: string
                                  confidence:
                                    type: number
                    frameworks:
                      type: array
                      items:
                        type: object
                        required:
                          - name
                          - confidence
                          - evidence
                        properties:
                          name:
                            type: string
                          confidence:
                            type: number
                          evidence:
                            type: string
                sourceUrl:
                  type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                required:
                  - themeBuilderState
                  - fingerprint
                  - fitScore
                  - warnings
                  - fixes
                  - assets
                  - capturedAt
                  - sourceUrl
                properties:
                  themeBuilderState:
                    type: object
                    required:
                      - light
                      - dark
                      - alpha
                      - radius
                      - typography
                      - shadows
                    properties:
                      light:
                        type: object
                        required:
                          - primary
                          - primaryHover
                          - secondary
                          - secondaryHover
                          - border
                          - foreground
                          - mutedForeground
                          - onPrimary
                          - success
                          - warning
                          - error
                          - overlay
                        properties:
                          primary:
                            type: string
                          primaryHover:
                            type: string
                          secondary:
                            type: string
                          secondaryHover:
                            type: string
                          border:
                            type: string
                          foreground:
                            type: string
                          mutedForeground:
                            type: string
                          onPrimary:
                            type: string
                          success:
                            type: string
                          warning:
                            type: string
                          error:
                            type: string
                          overlay:
                            type: string
                      dark:
                        type: object
                        required:
                          - primary
                          - primaryHover
                          - secondary
                          - secondaryHover
                          - border
                          - foreground
                          - mutedForeground
                          - onPrimary
                          - success
                          - warning
                          - error
                          - overlay
                        properties:
                          primary:
                            type: string
                          primaryHover:
                            type: string
                          secondary:
                            type: string
                          secondaryHover:
                            type: string
                          border:
                            type: string
                          foreground:
                            type: string
                          mutedForeground:
                            type: string
                          onPrimary:
                            type: string
                          success:
                            type: string
                          warning:
                            type: string
                          error:
                            type: string
                          overlay:
                            type: string
                      alpha:
                        type: object
                        required:
                          - light
                          - dark
                        properties:
                          light:
                            type: object
                            required:
                              - overlay
                            properties:
                              overlay:
                                type: string
                          dark:
                            type: object
                            required:
                              - overlay
                            properties:
                              overlay:
                                type: string
                      radius:
                        type: object
                        required:
                          - radiusScale
                        properties:
                          radiusScale:
                            type: string
                      typography:
                        type: object
                        required:
                          - fontFamily
                          - fontSizeScale
                          - fontWeightNormal
                          - fontWeightBold
                        properties:
                          fontFamily:
                            type: string
                          fontSizeScale:
                            type: string
                          fontWeightNormal:
                            type: string
                          fontWeightBold:
                            type: string
                      shadows:
                        type: object
                        required:
                          - cardHover
                          - popover
                        properties:
                          cardHover:
                            type: string
                          popover:
                            type: string
                  fingerprint:
                    type: object
                    required:
                      - brand
                      - colors
                      - typography
                      - shape
                      - elevation
                      - frameworks
                    properties:
                      brand:
                        type: object
                        properties:
                          name:
                            type: string
                          logoUrl:
                            type: string
                          faviconUrl:
                            type: string
                          themeColor:
                            type: string
                      colors:
                        type: object
                        required:
                          - light
                          - dark
                        properties:
                          light:
                            type: object
                            required:
                              - primary
                              - primaryHover
                              - secondary
                              - secondaryHover
                              - border
                              - foreground
                              - mutedForeground
                              - onPrimary
                              - success
                              - warning
                              - error
                              - overlay
                            properties:
                              primary:
                                type: object
                                required:
                                  - value
                                  - confidence
                                  - source
                                  - trace
                                  - alternates
                                properties:
                                  value:
                                    anyOf:
                                      - type: string
                                      - type: number
                                  confidence:
                                    type: number
                                  source:
                                    type: string
                                  trace:
                                    type: object
                                    properties:
                                      selector:
                                        type: string
                                      declaration:
                                        type: string
                                      rationale:
                                        type: string
                                  alternates:
                                    type: array
                                    items:
                                      type: object
                                      required:
                                        - value
                                        - source
                                        - confidence
                                      properties:
                                        value:
                                          anyOf:
                                            - type: string
                                            - type: number
                                        source:
                                          type: string
                                        confidence:
                                          type: number
                              primaryHover:
                                type: object
                                required:
                                  - value
                                  - confidence
                                  - source
                                  - trace
                                  - alternates
                                properties:
                                  value:
                                    anyOf:
                                      - type: string
                                      - type: number
                                  confidence:
                                    type: number
                                  source:
                                    type: string
                                  trace:
                                    type: object
                                    properties:
                                      selector:
                                        type: string
                                      declaration:
                                        type: string
                                      rationale:
                                        type: string
                                  alternates:
                                    type: array
                                    items:
                                      type: object
                                      required:
                                        - value
                                        - source
                                        - confidence
                                      properties:
                                        value:
                                          anyOf:
                                            - type: string
                                            - type: number
                                        source:
                                          type: string
                                        confidence:
                                          type: number
                              secondary:
                                type: object
                                required:
                                  - value
                                  - confidence
                                  - source
                                  - trace
                                  - alternates
                                properties:
                                  value:
                                    anyOf:
                                      - type: string
                                      - type: number
                                  confidence:
                                    type: number
                                  source:
                                    type: string
                                  trace:
                                    type: object
                                    properties:
                                      selector:
                                        type: string
                                      declaration:
                                        type: string
                                      rationale:
                                        type: string
                                  alternates:
                                    type: array
                                    items:
                                      type: object
                                      required:
                                        - value
                                        - source
                                        - confidence
                                      properties:
                                        value:
                                          anyOf:
                                            - type: string
                                            - type: number
                                        source:
                                          type: string
                                        confidence:
                                          type: number
                              secondaryHover:
                                type: object
                                required:
                                  - value
                                  - confidence
                                  - source
                                  - trace
                                  - alternates
                                properties:
                                  value:
                                    anyOf:
                                      - type: string
                                      - type: number
                                  confidence:
                                    type: number
                                  source:
                                    type: string
                                  trace:
                                    type: object
                                    properties:
                                      selector:
                                        type: string
                                      declaration:
                                        type: string
                                      rationale:
                                        type: string
                                  alternates:
                                    type: array
                                    items:
                                      type: object
                                      required:
                                        - value
                                        - source
                                        - confidence
                                      properties:
                                        value:
                                          anyOf:
                                            - type: string
                                            - type: number
                                        source:
                                          type: string
                                        confidence:
                                          type: number
                              border:
                                type: object
                                required:
                                  - value
                                  - confidence
                                  - source
                                  - trace
                                  - alternates
                                properties:
                                  value:
                                    anyOf:
                                      - type: string
                                      - type: number
                                  confidence:
                                    type: number
                                  source:
                                    type: string
                                  trace:
                                    type: object
                                    properties:
                                      selector:
                                        type: string
                                      declaration:
                                        type: string
                                      rationale:
                                        type: string
                                  alternates:
                                    type: array
                                    items:
                                      type: object
                                      required:
                                        - value
                                        - source
                                        - confidence
                                      properties:
                                        value:
                                          anyOf:
                                            - type: string
                                            - type: number
                                        source:
                                          type: string
                                        confidence:
                                          type: number
                              foreground:
                                type: object
                                required:
                                  - value
                                  - confidence
                                  - source
                                  - trace
                                  - alternates
                                properties:
                                  value:
                                    anyOf:
                                      - type: string
                                      - type: number
                                  confidence:
                                    type: number
                                  source:
                                    type: string
                                  trace:
                                    type: object
                                    properties:
                                      selector:
                                        type: string
                                      declaration:
                                        type: string
                                      rationale:
                                        type: string
                                  alternates:
                                    type: array
                                    items:
                                      type: object
                                      required:
                                        - value
                                        - source
                                        - confidence
                                      properties:
                                        value:
                                          anyOf:
                                            - type: string
                                            - type: number
                                        source:
                                          type: string
                                        confidence:
                                          type: number
                              mutedForeground:
                                type: object
                                required:
                                  - value
                                  - confidence
                                  - source
                                  - trace
                                  - alternates
                                properties:
                                  value:
                                    anyOf:
                                      - type: string
                                      - type: number
                                  confidence:
                                    type: number
                                  source:
                                    type: string
                                  trace:
                                    type: object
                                    properties:
                                      selector:
                                        type: string
                                      declaration:
                                        type: string
                                      rationale:
                                        type: string
                                  alternates:
                                    type: array
                                    items:
                                      type: object
                                      required:
                                        - value
                                        - source
                                        - confidence
                                      properties:
                                        value:
                                          anyOf:
                                            - type: string
                                            - type: number
                                        source:
                                          type: string
                                        confidence:
                                          type: number
                              onPrimary:
                                type: object
                                required:
                                  - value
                                  - confidence
                                  - source
                                  - trace
                                  - alternates
                                properties:
                                  value:
                                    anyOf:
                                      - type: string
                                      - type: number
                                  confidence:
                                    type: number
                                  source:
                                    type: string
                                  trace:
                                    type: object
                                    properties:
                                      selector:
                                        type: string
                                      declaration:
                                        type: string
                                      rationale:
                                        type: string
                                  alternates:
                                    type: array
                                    items:
                                      type: object
                                      required:
                                        - value
                                        - source
                                        - confidence
                                      properties:
                                        value:
                                          anyOf:
                                            - type: string
                                            - type: number
                                        source:
                                          type: string
                                        confidence:
                                          type: number
                              success:
                                type: object
                                required:
                                  - value
                                  - confidence
                                  - source
                                  - trace
                                  - alternates
                                properties:
                                  value:
                                    anyOf:
                                      - type: string
                                      - type: number
                                  confidence:
                                    type: number
                                  source:
                                    type: string
                                  trace:
                                    type: object
                                    properties:
                                      selector:
                                        type: string
                                      declaration:
                                        type: string
                                      rationale:
                                        type: string
                                  alternates:
                                    type: array
                                    items:
                                      type: object
                                      required:
                                        - value
                                        - source
                                        - confidence
                                      properties:
                                        value:
                                          anyOf:
                                            - type: string
                                            - type: number
                                        source:
                                          type: string
                                        confidence:
                                          type: number
                              warning:
                                type: object
                                required:
                                  - value
                                  - confidence
                                  - source
                                  - trace
                                  - alternates
                                properties:
                                  value:
                                    anyOf:
                                      - type: string
                                      - type: number
                                  confidence:
                                    type: number
                                  source:
                                    type: string
                                  trace:
                                    type: object
                                    properties:
                                      selector:
                                        type: string
                                      declaration:
                                        type: string
                                      rationale:
                                        type: string
                                  alternates:
                                    type: array
                                    items:
                                      type: object
                                      required:
                                        - value
                                        - source
                                        - confidence
                                      properties:
                                        value:
                                          anyOf:
                                            - type: string
                                            - type: number
                                        source:
                                          type: string
                                        confidence:
                                          type: number
                              error:
                                type: object
                                required:
                                  - value
                                  - confidence
                                  - source
                                  - trace
                                  - alternates
                                properties:
                                  value:
                                    anyOf:
                                      - type: string
                                      - type: number
                                  confidence:
                                    type: number
                                  source:
                                    type: string
                                  trace:
                                    type: object
                                    properties:
                                      selector:
                                        type: string
                                      declaration:
                                        type: string
                                      rationale:
                                        type: string
                                  alternates:
                                    type: array
                                    items:
                                      type: object
                                      required:
                                        - value
                                        - source
                                        - confidence
                                      properties:
                                        value:
                                          anyOf:
                                            - type: string
                                            - type: number
                                        source:
                                          type: string
                                        confidence:
                                          type: number
                              overlay:
                                type: object
                                required:
                                  - value
                                  - confidence
                                  - source
                                  - trace
                                  - alternates
                                properties:
                                  value:
                                    anyOf:
                                      - type: string
                                      - type: number
                                  confidence:
                                    type: number
                                  source:
                                    type: string
                                  trace:
                                    type: object
                                    properties:
                                      selector:
                                        type: string
                                      declaration:
                                        type: string
                                      rationale:
                                        type: string
                                  alternates:
                                    type: array
                                    items:
                                      type: object
                                      required:
                                        - value
                                        - source
                                        - confidence
                                      properties:
                                        value:
                                          anyOf:
                                            - type: string
                                            - type: number
                                        source:
                                          type: string
                                        confidence:
                                          type: number
                          dark:
                            type: object
                            required:
                              - primary
                              - primaryHover
                              - secondary
                              - secondaryHover
                              - border
                              - foreground
                              - mutedForeground
                              - onPrimary
                              - success
                              - warning
                              - error
                              - overlay
                            properties:
                              primary:
                                type: object
                                required:
                                  - value
                                  - confidence
                                  - source
                                  - trace
                                  - alternates
                                properties:
                                  value:
                                    anyOf:
                                      - type: string
                                      - type: number
                                  confidence:
                                    type: number
                                  source:
                                    type: string
                                  trace:
                                    type: object
                                    properties:
                                      selector:
                                        type: string
                                      declaration:
                                        type: string
                                      rationale:
                                        type: string
                                  alternates:
                                    type: array
                                    items:
                                      type: object
                                      required:
                                        - value
                                        - source
                                        - confidence
                                      properties:
                                        value:
                                          anyOf:
                                            - type: string
[...]
